import React, { lazy, Suspense } from 'react';

const Hero = lazy(() => import("@/components/main/Hero.jsx"));
const Business = lazy(() => import("@/components/main/Business.jsx"));
const Project = lazy(() => import("@/components/main/Project.jsx"));
const Partners = lazy(() => import("@/components/main/Partners.jsx"));
const Directions = lazy(() => import("@/components/main/Directions.jsx"));
const Footer = lazy(() => import("@/components/main/Footer.jsx"));

const Main = () => {
  return (
    <Suspense fallback={<div>로딩 중...</div>}>
      <Hero/>
      <Business/>
      <Project/>
      <Partners/>
      <Directions/>
      <Footer/>
    </Suspense>
  );
};

export default Main;
